{
  "name": "@glass-project1/demonstrator-backoffice",
  "version": "2.0.2",
  "description": "demonstrators to explore wallet full functionality",
  "main": "dist/index.cjs.js",
  "module": "dist/index.js",
  "es2015": "dist/esm/index.js",
  "es2017": "dist/esm/index.js",
  "jsnext:main": "dist/esm/index.js",
  "types": "dist/types/components.d.ts",
  "collection": "dist/collection/collection-manifest.json",
  "collection:main": "dist/collection/index.js",
  "unpkg": "dist/demonstratorbackoffice/demonstratorbackoffice.esm.js",
  "publishConfig": {
    "@glass-project1:registry": " https://gitlab.com/api/v4/projects/41243904/packages/npm/"
  },
  "scripts": {
    "push-to-dev": "git checkout dev && git merge master && git push; git checkout master",
    "push-to-tst": "git checkout tst && git merge master && git push; git checkout master",
    "push-to-both": "git checkout dev && git merge master && git push && git checkout tst && git merge master && git push; git checkout master",
    "octopus": "node ./node_modules/octopus/scripts/run.js",
    "postinstall": "npm run octopus -- dependencies",
    "update-dependencies": "rimraf ./node_modules/@glass-project1 && rimraf ./node_modules/@capacitor/core && rimraf ./package-lock.json && npm install && npm run build-all",
    "build": "stencil build --dev && npx gulp --stage=build",
    "build:prod": "stencil build && npx gulp --stage=deploy",
    "build-backoffice": "cd backoffice && npm run build:prod && cd .. && npm run patch-config",
    "server": "node ./node_modules/octopus/scripts/setEnv --file=../../../env.json \"cd privatesky && npm run start\"",
    "patch-apihub": "npm run octopus -- patch-apihub",
    "build-all": "npm run build && npm run patch-apihub && cd backoffice && npm run build:prod",
    "patch-config": "node ./node_modules/@glass-project1/dsu-utils/src/streamAndReplace.js --srcPath=\"./trust-loader-config\" --paramIdentifier='%' --destPath=\"./apihub-root/\" %EGOVEDUCATION_REST=http://localhost:3005 %EGOVHEALTH_REST=http://localhost:3004 %EGOVPASSPORT_REST=http://localhost:3002 %EGOVTAX_REST=http://localhost:3003 %EGOVID_REST=http://localhost:3001 %EGOV_REST=http://localhost:3000 %BANK_REST=http://localhost:8081 %PDMFC_REST=http://localhost:8081 %LANDLORD_REST=http://localhost:8081 %DISABILITY_REST=http://localhost:3004 %GLASS_REST=http://localhost:8080",
    "patch-opendsu": "for FILE in privatesky/psknode/bundles/*.js; do echo \"patching $FILE\" && node ./node_modules/@glass-project1/dsu-utils/src/patchFile.js --src=$FILE --regexp=\"return\\sw[ce]_create\\w+SSI\\((openDSU.loadAPI\\(\\\"sc\\\"\\).getMainEnclave\\(\\))\" --replacement=\"\\\"undefined\\\"\"; done",
    "start": "stencil build --dev --watch --serve",
    "test": "stencil test --spec --e2e --passWithNoTests",
    "test:it": "stencil test --spec --e2e --passWithNoTests --runInBand --testRegex=\"/src/.*\\.(integration)\\.(ts|tsx)$\" --globalSetup=\"./node_modules/@glass-project1/dsu-utils/src/jest-setup.js\"",
    "test:all": "stencil test --spec --e2e --passWithNoTests --runInBand --testRegex=\"/src/.*\\.(spec|e2e|integration)\\.(ts|tsx)$\" --globalSetup=\"./node_modules/@glass-project1/dsu-utils/src/jest-setup.js\"",
    "test:ci": "node ./node_modules/@glass-project1/dsu-utils/src/cli.js --action=workspace setup --command=\"npm run test:all\"",
    "test.watch": "stencil test --spec --e2e --watchAll",
    "generate": "stencil generate",
    "prepare-release": "npm run build:prod && npm run test && npm run docs",
    "release": "./bin/tag-release.sh",
    "clean-publish": "npx clean-publish",
    "coverage": "npm test",
    "docs": "npx rimraf ./docs && mkdir docs && mkdir docs/assets && cp -r ./workdocs/assets ./docs/assets && npm install better-docs taffydb && npx markdown-include ./mdCompile.json && jsdoc -c jsdocs.json -t \"$(npm root)/better-docs\" && npm remove better-docs taffydb",
    "test:s": "stencil test --spec --e2e --passWithNoTests --runInBand --testRegex=\"/src/components/app-egov-countries/.*\\.(spec|e2e|integration)\\.(ts|tsx)$\""
  },
  "repository": {
    "type": "git",
    "url": "git@gitlab.com:glass-project1/wallet/demonstrator-backoffice.git"
  },
  "keywords": [
    "DApp"
  ],
  "author": "PDM&FC",
  "license": "MIT",
  "bugs": {
    "url": "https://gitlab.com/glass-project1/wallet/demonstrator-backoffice/issues"
  },
  "homepage": "https://gitlab.com/glass-project1/wallet/demonstrator-backofficer#readme",
  "devDependencies": {
    "@capacitor-community/barcode-scanner": "^4.0.1",
    "@capacitor-community/camera-preview": "^5.0.0",
    "@capacitor/clipboard": "^5.0.6",
    "@capacitor/core": "^5.2.3",
    "@capacitor/device": "^5.0.6",
    "@capacitor/filesystem": "^5.1.2",
    "@capacitor/geolocation": "^5.0.6",
    "@capacitor/haptics": "^5.0.6",
    "@capacitor/preferences": "^5.0.6",
    "@glass-project1/base-web-components": "latest",
    "@glass-project1/dapp-market": "latest",
    "@glass-project1/db-decorators": "latest",
    "@glass-project1/decorator-validation": "latest",
    "@glass-project1/dsu-blueprint": "latest",
    "@glass-project1/dsu-utils": "latest",
    "@glass-project1/glass-toolkit": "latest",
    "@glass-project1/localization": "latest",
    "@glass-project1/logging": "latest",
    "@glass-project1/native-integration": "latest",
    "@glass-project1/native-interfaces": "latest",
    "@glass-project1/opendsu-types": "latest",
    "@glass-project1/ui-decorators": "latest",
    "@glass-project1/ui-decorators-web": "latest",
    "@ionic/core": "^6.1.11",
    "@stencil/core": "^2.15.0",
    "@stencil/sass": "^1.5.2",
    "@types/jest": "27.0.3",
    "@types/node": "^16.0.1",
    "capacitor-native-biometric": "^4.2.2",
    "encoding": "^0.1.13",
    "gulp": "^4.0.2",
    "gulp-if": "^3.0.0",
    "gulp-rename": "^2.0.0",
    "gulp-replace": "^1.1.3",
    "gulp-sourcemaps": "^3.0.0",
    "gulp-typescript": "^6.0.0-alpha.1",
    "gulp-uglify": "^3.0.2",
    "jest": "27.4.5",
    "jest-cli": "27.4.5",
    "jest-coverage-badges": "1.1.2",
    "jest-junit": "13.0.0",
    "jsdoc": "^3.6.7",
    "jsdoc-mermaid": "^1.0.0",
    "markdown-include": "^0.4.3",
    "nodemon": "^2.0.10",
    "octopus": "git+https://github.com/PrivateSky/octopus.git",
    "puppeteer": "^14.0.0",
    "rimraf": "^3.0.2",
    "rollup-plugin-execute": "^1.1.1",
    "rollup-plugin-node-polyfills": "^0.2.1",
    "ts-jest": "27.0.3",
    "ts-loader": "^9.2.7",
    "ts-node": "^10.0.0",
    "typescript": "^4.3.5"
  },
  "dependencies": {
    "@cef-ebsi/key-did-resolver": "^1.1.0",
    "jose": "^4.14.4"
  }
}
